#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,960,1040,1200,1440,1680,2000,4000
 * N : 25,240,320,400,480,960,1040,1200,1440,1680,2000,4000
 * NB : 4,80,80,80,88,24,80,80,80,280,280,240
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 440) (nb_) = 80; \
   else if ((n_) < 720) (nb_) = 88; \
   else if ((n_) < 1000) (nb_) = 24; \
   else if ((n_) < 1560) (nb_) = 80; \
   else if ((n_) < 3000) (nb_) = 280; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
